# Phone Vs Name Validator

Endpoint: <mark style="color:yellow;">POST</mark> [https://irbis.espysys.com/api/developer/](https://irbis.espysys.com/api/developer/ip_phone_verification)[lookup\_](https://irbis.espysys.com/api/developer/phone_lookup_verification)[phone\_name\_verification](https://irbis.espysys.com/api/developer/lookup_phone_name_verification)

Below is a sample request to perform a lookup using the API:

```
{
  "key": "YOUR_API_KEY",
  "lookupId": "LOOKUPID_VALUE",
  "phoneNumber": "string",
  "expectedName": "string"
}
```

1. Replace YOUR\_API\_KEY in the **"key"** field with your actual API Key.
2. For the "phoneNumber" field, insert the phone number you wish to search for, ensuring you include the country code. For example: "`+79017007397"`.
3. For the "expectedName" field, insert the Full Name associated with searched phone nube sxample: "John Doe"

The **"lookupId"** must be set to what is shown in table API lookups types at Developer page or at API lookup types page


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://api-docs.espysys.com/phone-vs-name-validator.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
